import { emitEvent } from "./events.js";

export class UserError extends Error {
  constructor(message) {
    super(message);
    emitEvent("error:user", message);
  }
}

export class DevError extends Error {
  constructor(message) {
    super(message);
    emitEvent("error:dev", message);
  }
}
